[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Bug-cpio] cpio-2.9.90 (alpha) available.

From: Ladislav Michnovič
Subject: Re: [Bug-cpio] cpio-2.9.90 (alpha) available.
Date: Fri, 8 Feb 2008 15:21:53 +0100

On Feb 8, 2008 11:23 AM, Sergey Poznyakoff <address@hidden> wrote:
> Hello,
> The alpha version of GNU cpio is available from:
>   ftp://alpha.gnu.org/gnu/cpio/cpio-2.9.90.tar.bz2
> Regards,
> Sergey


I  check the code against patches which we in openSUSE distribution.
I think you forgot to change the type of some variables. You use type
"off_t" elsewhere for variables which represents number of bytes/ file
Attaching patch as cpio-2.9-variable_type.patch.

There are also some patches which you can consider to apply.
For example cpio-2.9-use_new_ascii_format.patch is widely used in
distros like Mandriva, Red Hat and openSUSE.
cpio-2.9-doc_typo.patch: This patch appeared in this mailing list some
time ago.
cpio-2.9-avoid_overflow_warning.patch: Gcc complaints about overflow.
I don't know why this hack in the code was used, but IMHO it can be
done in way which is more clear what is written where.
Last but not least:
cpio-2.9-chmodRaceC.patch:  This one comes from Red Hat and fixes
security issue connected to CAN-2005-1111 in cpio version 2.9.

Thank you.
Regards Ladislav.

Attachment: cpio-2.9-variable_type.patch
Description: Text Data

Attachment: cpio-2.9-use_new_ascii_format.patch
Description: Text Data

Attachment: cpio-2.9-doc_typo.patch
Description: Text Data

Attachment: cpio-2.9-avoid_overflow_warning.patch
Description: Text Data

Attachment: cpio-2.9-chmodRaceC.patch
Description: Text Data

reply via email to

[Prev in Thread] Current Thread [Next in Thread]